{ pkgs ? import <nixpkgs> {} }:
pkgs.mkShell {
  buildInputs = with pkgs; [
		(zig.overrideAttrs(s: {
			version = "18e6d1e";
			patches = [
				(fetchpatch {
					url="https://github.com/ziglang/zig/pull/14254.patch";
					sha256="sha256-6Ada9uhrGVXHVB+Shs8wMVDSDOZF0a7SLn39Tha62lw=";
				})
			];
			src = fetchFromGitHub {
				owner="ziglang";
				repo="zig";
				rev="18e6d1e81929964e9f1d9780e3d8e8f8ae4fcff0";
				sha256="sha256-2L3RGiGZ8REMLluAA+tAu47HOAYJhEjUhImLgvwamtM=";
			};
		}))
		libxcrypt 
		pkg-config
  ];
 	shellHook = ''
 	'';
}


